언젠가는 PHP 8로 가야하기에 웹호스팅 업체를 교체하면서 PHP 8에 다가 이전을 하려고 이것저것 해보고 있는데

 

XE 1.5부터 시작해서 라이믹스 2.1.16로 업그레이트를 해서 그런지 PHP 8로 바꾸니까 오류가 여기저기서 엄청 나네요 ^^;

 

오류를 고칠 능력이 없는데 그냥 PHP 7로 다시 바꿀까요??ㅎㅎ

  • ?
    일단 XE 로는 사용 불가능하고 ( XE 는 php8 대응이 안 되어있고, 유저가 만든 비공색 php8 XE 가 있긴 합니다 )
    일단 php8 에서 쓰려면 무조건 라이믹스로 업데이트를 해야합니다

    그 후, 사용하는 서드파티 들에 따라 에러를 낼꺼예요
    이 서드파티 자료들은 사용하려면 전부 수정하셔야합니다

    ( php7 의 오류들과 달리 php8 은 간단히 이렇게 고치면 된다.. 고 알려드릴 수가 없네요 )
    xetown 에도 찾아보면 php8 관련 수정법들이 여러가지 있는데 고쳐보거나
    아니면 제작의뢰 로 전문가에게 맡기길 추천합니다

    사실 php8 오류는 전문제작자에게 의뢰하는게 좋을 수도 있습니다 ^^;
  • ? profile
    지금 필요 없는 것들은 다 삭제해버리고 있는데 계속 오류가 나네요 ^^;
  • ?
    현재 저는 구축 단계 입니다.
    구축 단계에서 이미 나눠놓고 하나하나 오류 수정 할계획입니다.
    php8 에서 구축 하다 보니;; 오류가 많더라구요.
    그래서 다시 처음부터 구축 시작하였습니다 ㅠ


    라이믹스 2.1.6 PHP7.4
    https://antzsvcforum.kr

    라이믹스 2.1.6 PHP8.2
    https://antzsvcforum.kr:8089/
  • ? profile
    전 수정 할 능력이 없어서 PHP7.4로 다시 돌아가야 하나 고민중입니다 ㅜㅜ